file( GLOB_RECURSE po_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po )
string( REGEX REPLACE "[ \r\n\t]+" ";" _linguas "$ENV{LINGUAS}" )

foreach( _po ${po_files} )
  get_filename_component( _lang ${_po} NAME_WE )
  if( "${_linguas}" MATCHES "^;*$" OR ";${_linguas};" MATCHES ";${_lang};" )
    if( "${_po}" MATCHES "^([^/]*)/.*" )
      string( REGEX REPLACE "^([^/]*)/.*" "\\1" _component "${_po}" )
    else( )
      set( _component "${PROJECT_NAME}" )
    endif( )
    tde_create_translation( FILES ${_po} LANG ${_lang} OUTPUT_NAME ${_component} )
  endif( )
endforeach( )
